utl::meta::detail::compose_< Fn0, Fns... > Struct Template Reference

`#include <invoke.h>`

## Public Types

template<typename ... Args>
using | apply = invoke< Fn0, invoke< compose_< Fns... >, Args... > >

## Detailed Description

### template<typename Fn0, typename ... Fns>
struct utl::meta::detail::compose_< Fn0, Fns... >

Definition at line 279 of file invoke.h.

## Member Typedef Documentation

## apply

template<typename Fn0 , typename ... Fns>
template<typename ... Args>

using utl::meta::detail::compose_< Fn0, Fns... >::apply = invoke< Fn0, invoke<compose_<Fns...>, Args...> >

Definition at line 284 of file invoke.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/invoke.h